org.apache.ignite.internal.processors.cache

## Class CacheConfigurationSplitterImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheConfigurationSplitterImpl

All Implemented Interfaces:
  CacheConfigurationSplitter

    public class CacheConfigurationSplitterImpl
    extends Object
    implements CacheConfigurationSplitter

Splits cache configuration into two parts that can be serialized, deserialized separately. This eliminates the need to deserialize part of the configuration and therefore, it does not require user classes on non-affinity nodes.

### Constructor Summary

Constructors
Constructor and Description
`CacheConfigurationSplitterImpl(GridKernalContext ctx, Marshaller marshaller)` Creates a new instance of splitter.

### Method Summary

All Methods Instance Methods Concrete Methods
`T2<CacheConfiguration,CacheConfigurationEnrichment>` `split(CacheConfiguration ccfg)` Splits the given cache configuration into two parts `CacheConfiguration` and `CacheConfigurationEnrichment` that are serialized separately.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.CacheConfigurationSplitter

`split, split`

### Constructor Detail

#### CacheConfigurationSplitterImpl

    public CacheConfigurationSplitterImpl(GridKernalContext ctx,
                                          Marshaller marshaller)

Creates a new instance of splitter.

Parameters:
  `ctx` - Kernal context.
  `marshaller` - Marshaller to be used for seserialization.

### Method Detail

#### split

    public T2<CacheConfiguration,CacheConfigurationEnrichment> split(CacheConfiguration ccfg)

Splits the given cache configuration into two parts `CacheConfiguration` and `CacheConfigurationEnrichment` that are serialized separately. The fields marked with `SerializeSeparately` are placed into `CacheConfigurationEnrichment`, the corresponding values into `CacheConfiguration` are changed with the default ones.

Specified by:
  `split` in interface `CacheConfigurationSplitter`
Parameters:
  `ccfg` - Cache configuration to split.
Returns:
  Split cache configuration.
See Also:
  `SerializeSeparately`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021